Bug 10978 - redirect to basket list of a supplier after deleting a basket
Summary: redirect to basket list of a supplier after deleting a basket
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-30 19:57 UTC by mathieu saby
Modified: 2017-05-17 15:36 UTC (History)
6 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
This patch redirects to the vendor's list of baskets after deleting a basket, fixes breadcrumbs after deletion and also hides the toolbar actions after deletion (seeing as you can't edit/export etc a basket that no longer exists).


Attachments
Bug 10978: Redirect to basket list of a supplier after deleting a basket (3.95 KB, patch)
2017-02-15 00:35 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 10978: Redirect to basket list of a supplier after deleting a basket (4.07 KB, patch)
2017-02-15 19:43 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 10978: Redirect to basket list of a supplier after deleting a basket (4.28 KB, patch)
2017-02-15 20:46 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 10978: Redirect to basket list of a supplier after deleting a basket (4.29 KB, patch)
2017-02-16 20:48 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 10978: Redirect to basket list of a supplier after deleting a basket (4.43 KB, patch)
2017-02-17 04:06 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 10978: Redirect to basket list of a supplier after deleting a basket (4.50 KB, patch)
2017-02-20 08:42 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description mathieu saby 2013-09-30 19:57:39 UTC
I copy here a remark that M. de Rooy made while QAing bug 7791. It could be a little improvement 

"Note that if I am in a basket from some supplier and I delete it, I actually would like to return to the basket list of that supplier instead of getting a list of all suppliers. But that is outside the scope of this report."

M. Saby
Comment 1 Aleisha Amohia 2017-02-15 00:35:02 UTC
Created attachment 60227 [details] [review]
Bug 10978: Redirect to basket list of a supplier after deleting a basket

This patch redirects to the vendor's list of baskets after deleting a
basket, fixes breadcrumbs after deletion and also hides the toolbar
actions after deletion (seeing as you can't edit/export etc a basket
that no longer exists).

To test:
1) Go to Acquisitions -> find a vendor -> view a basket or create a new
basket
2) Delete the basket. Notice you are taken to a list of all vendors and
baskets
3) Apply patch and do step 1 again
4) Delete the basket. Notice appropriate breadcrumbs, no toolbar, and
confirm link to return to baskets for the vendor works.

Sponsored-by: Catalyst IT
Comment 2 Marc Véron 2017-02-15 10:03:14 UTC
Hi Aleisha, the feature works fine.

However, can we have an additional link "Show all baskets"?
Comment 3 Aleisha Amohia 2017-02-15 19:43:25 UTC
Created attachment 60283 [details] [review]
Bug 10978: Redirect to basket list of a supplier after deleting a basket

This patch redirects to the vendor's list of baskets after deleting a
basket, fixes breadcrumbs after deletion and also hides the toolbar
actions after deletion (seeing as you can't edit/export etc a basket
that no longer exists).

To test:
1) Go to Acquisitions -> find a vendor -> view a basket or create a new
basket
2) Delete the basket. Notice you are taken to a list of all vendors and
baskets
3) Apply patch and do step 1 again
4) Delete the basket. Notice appropriate breadcrumbs, no toolbar, and
confirm link to return to baskets for the vendor works.

Sponsored-by: Catalyst IT
Comment 4 Marc Véron 2017-02-15 20:46:59 UTC
Created attachment 60293 [details] [review]
Bug 10978: Redirect to basket list of a supplier after deleting a basket

This patch redirects to the vendor's list of baskets after deleting a
basket, fixes breadcrumbs after deletion and also hides the toolbar
actions after deletion (seeing as you can't edit/export etc a basket
that no longer exists).

To test:
1) Go to Acquisitions -> find a vendor -> view a basket or create a new
basket
2) Delete the basket. Notice you are taken to a list of all vendors and
baskets
3) Apply patch and do step 1 again
4) Delete the basket. Notice appropriate breadcrumbs, no toolbar, and
confirm link to return to baskets for the vendor works.

Sponsored-by: Catalyst IT

Followed test plan, works as expected (links to vendor's baskets and all baskets)
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 5 Jonathan Druart 2017-02-16 10:57:20 UTC
Aleisha, I think the wording of the button you add is wrong.
It says "Show all baskets", but when you are on the screen you are redirected to there is also a "Show all baskets". This one set a allbaskets parameter to the url.
I'd suggest more something like "Show baskets from all vendors", or something like that.
What do you think?
Comment 6 Aleisha Amohia 2017-02-16 20:47:50 UTC
(In reply to Jonathan Druart from comment #5)
> Aleisha, I think the wording of the button you add is wrong.
> It says "Show all baskets", but when you are on the screen you are
> redirected to there is also a "Show all baskets". This one set a allbaskets
> parameter to the url.
> I'd suggest more something like "Show baskets from all vendors", or
> something like that.
> What do you think?

I see what you mean. I think maybe "Show all active baskets" is more appropriate, seeing as the "Show all baskets" link on the page you are taken to toggles between "Show all baskets" and "Show active baskets only". "Show baskets from all vendors is kind of the same as "Show all baskets" in this case.
Comment 7 Aleisha Amohia 2017-02-16 20:48:30 UTC
Created attachment 60365 [details] [review]
Bug 10978: Redirect to basket list of a supplier after deleting a basket

This patch redirects to the vendor's list of baskets after deleting a
basket, fixes breadcrumbs after deletion and also hides the toolbar
actions after deletion (seeing as you can't edit/export etc a basket
that no longer exists).

To test:
1) Go to Acquisitions -> find a vendor -> view a basket or create a new
basket
2) Delete the basket. Notice you are taken to a list of all vendors and
baskets
3) Apply patch and do step 1 again
4) Delete the basket. Notice appropriate breadcrumbs, no toolbar, and
confirm link to return to baskets for the vendor works.

Sponsored-by: Catalyst IT

Followed test plan, works as expected (links to vendor's baskets and all baskets)
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 8 Marc Véron 2017-02-17 04:06:14 UTC
Created attachment 60371 [details] [review]
Bug 10978: Redirect to basket list of a supplier after deleting a basket

This patch redirects to the vendor's list of baskets after deleting a
basket, fixes breadcrumbs after deletion and also hides the toolbar
actions after deletion (seeing as you can't edit/export etc a basket
that no longer exists).

To test:
1) Go to Acquisitions -> find a vendor -> view a basket or create a new
basket
2) Delete the basket. Notice you are taken to a list of all vendors and
baskets
3) Apply patch and do step 1 again
4) Delete the basket. Notice appropriate breadcrumbs, no toolbar, and
confirm link to return to baskets for the vendor works.

Sponsored-by: Catalyst IT

Followed test plan, works as expected (links to vendor's baskets and all baskets)
Signed-off-by: Marc Véron <veron@veron.ch>

Re-tested. Wording of buttons "Show baskets for vendor..." and "Show all
active baskets" makes sense.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 9 Jonathan Druart 2017-02-20 08:42:35 UTC
Created attachment 60449 [details] [review]
Bug 10978: Redirect to basket list of a supplier after deleting a basket

This patch redirects to the vendor's list of baskets after deleting a
basket, fixes breadcrumbs after deletion and also hides the toolbar
actions after deletion (seeing as you can't edit/export etc a basket
that no longer exists).

To test:
1) Go to Acquisitions -> find a vendor -> view a basket or create a new
basket
2) Delete the basket. Notice you are taken to a list of all vendors and
baskets
3) Apply patch and do step 1 again
4) Delete the basket. Notice appropriate breadcrumbs, no toolbar, and
confirm link to return to baskets for the vendor works.

Sponsored-by: Catalyst IT

Followed test plan, works as expected (links to vendor's baskets and all baskets)
Signed-off-by: Marc Véron <veron@veron.ch>

Re-tested. Wording of buttons "Show baskets for vendor..." and "Show all
active baskets" makes sense.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Kyle M Hall 2017-03-03 18:27:21 UTC
Pushed to master for 17.05, thanks Aleisha!
Comment 11 Katrin Fischer 2017-03-12 23:03:04 UTC
This won't get ported back to 16.11.x as it is an enhancement.